# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 613 63 -147
spawnpoint @a[tag=dh.t_primoGiocatore] 612 63 -148
spawnpoint @a[tag=dh.t_secondoGiocatore] 614 63 -147



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=615,y=59,z=-188,dx=5,dy=3,dz=5] run tp @s 618.0 59 -185.0

# Morte Giocatore
execute as @a at @s positioned ~-0.8 ~-0.5 ~-0.8 if entity @e[tag=dh.t_bloccoItem5,type=area_effect_cloud,dx=0.6,dy=0.5,dz=0.6] run particle minecraft:flame ~3 ~2.5 ~0.7

execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s positioned ~-0.8 ~-0.5 ~-0.8 if entity @e[tag=dh.t_bloccoItem5,type=area_effect_cloud,dx=0.6,dy=0.5,dz=0.6] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha fatto conoscenza carnale con una macchia di rovi.","color":"red","with":[{"selector":"@s]"}]}
execute as @a[tag=dh.t_giocatori] at @s positioned ~-0.8 ~-0.5 ~-0.8 if entity @e[tag=dh.t_bloccoItem5,type=area_effect_cloud,dx=0.6,dy=0.5,dz=0.6] run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl5.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl5.2G dh.o_morti 1

# Spegnimento Fuoco
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode adventure @s
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run tag @s remove dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,nbt={Fire:158s}] run tag @s add dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode creative @s



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_e_livello_5/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_e_livello_5/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_e_livello_5/dh.f.d_effetti



# CB Titolo
execute if block 608 54 -155 minecraft:red_wool run data merge block 609 54 -158 {auto:1b}

# CB Indizio e Easter Egg
execute if block 618 57 -175 #minecraft:buttons[powered=true] run data merge block 610 54 -158 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 610 54 -158 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/e_extra5=false},nbt={Inventory:[{id:"minecraft:honeycomb"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/e_extra5=false},nbt={Inventory:[{id:"minecraft:honeycomb"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/e_extra5



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi5,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=618,y=56,z=-186,distance=..13] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if block 613 54 -155 minecraft:orange_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 611 54 -158 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 611 54 -158 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 611 54 -158 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 603 57 -179 #minecraft:buttons[powered=true] run data merge block 612 54 -158 {auto:1b}
execute unless score #Reliquia5 dh.o_reliquie matches 1 if block 575 61 -188 #minecraft:buttons[powered=true] run data merge block 612 54 -158 {auto:1b}


# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia5,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 614 54 -158 {auto:1b}

# CB Anima Spirito
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 615 54 -158 {auto:1b}



# CB Reset Oggetti
execute if block 617 63 -147 #minecraft:buttons[powered=true] run data merge block 616 54 -158 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti5 dh.o_tempoScorre matches 6000 run setblock 617 63 -147 minecraft:oak_button[face=floor,facing=east]
execute if score #ResetOggetti5 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti5 dh.o_tempoScorre matches 6000 run data merge block 619 54 -158 {auto:0b}

# Cartello Reset Oggetti
execute if block 617 63 -147 minecraft:oak_sign run data merge block 617 63 -147 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finti, Primo Tp, Secondo Tp)
execute if block 647 75 -176 #minecraft:buttons[powered=true] run data merge block 617 54 -158 {auto:1b}
execute if block 644 79 -174 #minecraft:buttons[powered=true] run data merge block 617 54 -158 {auto:1b}
execute if block 646 77 -166 #minecraft:buttons[powered=true] run data merge block 617 54 -158 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 603 57 -179 #minecraft:buttons[powered=true] run data merge block 617 54 -158 {auto:1b}

execute if block 575 61 -188 #minecraft:buttons[powered=true] if score #Reliquia5 dh.o_reliquie matches 1 run data merge block 617 54 -158 {auto:1b}



# CB Ritorno al Livello
execute if block 617 54 -155 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 618 54 -158 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 617 54 -155 minecraft:yellow_wool unless score #Reliquia5 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia5,type=magma_cube] run summon minecraft:magma_cube 641 63 -183 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia5"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 617 54 -155 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia5,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=641,y=63,z=-183,dx=0,dy=-1,dz=3] run effect clear @e[tag=dh.t_cassaReliquia5,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 617 54 -155 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia5,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=641,y=63,z=-183,dx=0,dy=-1,dz=3] at @e[tag=dh.t_cassaReliquia5,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia5,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 617 54 -155 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia5,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=641,y=63,z=-183,dx=0,dy=-1,dz=3] run data merge entity @e[tag=dh.t_cassaReliquia5,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 617 54 -155 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia5,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=641,y=63,z=-183,dx=0,dy=-1,dz=3] run setblock 617 54 -155 minecraft:lime_wool