# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 720 68 3
spawnpoint @a[tag=dh.t_primoGiocatore] 719 68 3
spawnpoint @a[tag=dh.t_secondoGiocatore] 721 68 3



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=707,y=69.5,z=-10,dx=5,dy=3,dz=5] run tp @s 710.0 70 -7.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~-0.55 ~ minecraft:smooth_red_sandstone run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha provato a nuotare nelle sabbie mobili.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~-0.55 ~ minecraft:smooth_red_sandstone run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl2.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl2.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_b_livello_2/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_b_livello_2/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_b_livello_2/dh.f.d_effeffi



# CB Titolo
execute if block 694 55 -29 minecraft:red_wool run data merge block 695 55 -32 {auto:1b}

# CB Indizio e Easter Egg
execute if block 722 69 -15 #minecraft:buttons[powered=true] run data merge block 696 55 -32 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 696 55 -32 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/b_extra2=false},nbt={Inventory:[{id:"minecraft:golden_horse_armor"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/b_extra2=false},nbt={Inventory:[{id:"minecraft:golden_horse_armor"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/b_extra2



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi2,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=703,y=68,z=-3,distance=..10] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=704,y=67,z=-31,distance=..3] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso3,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=703,y=68,z=-3,distance=..6,scores={dh.o_oggettiTOT=4},nbt={Inventory:[{id:"minecraft:gold_nugget"}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso4

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 697 55 -32 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 697 55 -32 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 697 55 -32 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso4,type=armor_stand] run data merge block 697 55 -32 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 717 79 -31 #minecraft:buttons[powered=true] run data merge block 698 55 -32 {auto:1b}
execute unless score #Reliquia2 dh.o_reliquie matches 1 if block 695 68 -22 #minecraft:buttons[powered=true] run data merge block 698 55 -32 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia2,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 700 55 -32 {auto:1b}

# CB Anima Fuoco
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 701 55 -32 {auto:1b}



# CB Reset Oggetti
execute if block 722 69 -2 #minecraft:buttons[powered=true] run data merge block 702 55 -32 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti2 dh.o_tempoScorre matches 6000 run setblock 722 69 -2 minecraft:oak_button[face=floor,facing=north]
execute if score #ResetOggetti2 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti2 dh.o_tempoScorre matches 6000 run data merge block 706 55 -32 {auto:0b}

# Cartello Reset Oggetti
execute if block 722 69 -2 minecraft:oak_sign run data merge block 722 69 -2 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# Trappole
execute if entity @e[tag=dh.t_corniceConTorcia1,type=item_frame,nbt={ItemRotation:1b}] if entity @e[tag=dh.t_corniceConTorcia2,type=item_frame,nbt={ItemRotation:7b}] if block 703 54 -29 minecraft:red_wool run data merge block 703 54 -32 {auto:1b}
execute if entity @a[tag=dh.t_giocatori,x=720,y=68,z=-28,distance=..3] if block 703 54 -29 minecraft:yellow_wool run data merge block 703 54 -32 {auto:1b}

# CB Labirinto
execute if entity @a[tag=dh.t_giocatori,tag=!dh.t_disattivaCB,x=707,y=58,z=-36,dx=21,dy=6,dz=18] run data merge block 703 55 -32 {auto:1b}
execute unless entity @a[tag=dh.t_giocatori,x=707,y=58,z=-36,dx=21,dy=6,dz=18] run data merge block 703 55 -32 {auto:0b}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 725 66 -27 #minecraft:buttons[powered=true] run data merge block 704 55 -32 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 717 79 -31 #minecraft:buttons[powered=true] run data merge block 704 55 -32 {auto:1b}

execute if block 695 68 -22 #minecraft:buttons[powered=true] if score #Reliquia2 dh.o_reliquie matches 1 run data merge block 704 55 -32 {auto:1b}



# Ritorno al Livello
execute if block 704 55 -29 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 705 55 -32 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 704 55 -29 minecraft:yellow_wool unless score #Reliquia2 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia2,type=magma_cube] run summon minecraft:magma_cube 703 62 -23 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia2"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 704 55 -29 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia2,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=709,y=61,z=-23,distance=..2] run effect clear @e[tag=dh.t_cassaReliquia2,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 704 55 -29 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia2,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=709,y=61,z=-23,distance=..2] at @e[tag=dh.t_cassaReliquia2,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia2,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 704 55 -29 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia2,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=709,y=61,z=-23,distance=..2] run data merge entity @e[tag=dh.t_cassaReliquia2,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 704 55 -29 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia2,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=709,y=61,z=-23,distance=..2] run setblock 704 55 -29 minecraft:lime_wool 