# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 492 22 190
spawnpoint @a[tag=dh.t_primoGiocatore] 491 22 191
spawnpoint @a[tag=dh.t_secondoGiocatore] 492 21 189



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,tag=!dh.t_vaiInCreativa2,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,tag=!dh.t_vaiInCreativa2,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,tag=!dh.t_vaiInCreativa2,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=485,y=23,z=168,dx=5,dy=3,dz=5] run tp @s 488.0 25.0 171.0

# Morte Giocatori
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~ ~ minecraft:wither_rose run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato sfiorato da uno strano fiore appartenente a questo luogo.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~ ~ minecraft:wither_rose run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl14.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl14.2G dh.o_morti 1

# Spegnimento Fuoco
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode adventure @s
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run tag @s remove dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,nbt={Fire:296s}] run tag @s add dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode creative @s

execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa2] run gamemode adventure @s
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa2] run tag @s remove dh.t_vaiInCreativa2
execute as @a[tag=dh.t_giocatori,nbt={Fire:158s}] run tag @s add dh.t_vaiInCreativa2
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa2] run gamemode creative @s



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_p_livello_14/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_p_livello_14/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_p_livello_14/dh.f.d_effetti



# CB Titolo
execute if block 512 48 143 minecraft:red_wool run data merge block 513 48 140 {auto:1b}

# CB Indizio e Easter Egg
execute if block 493 21 186 #minecraft:buttons[powered=true] run data merge block 514 48 140 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 514 48 140 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/p_extra14=false},nbt={Inventory:[{id:"minecraft:music_disc_11"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/p_extra14=false},nbt={Inventory:[{id:"minecraft:music_disc_11"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/p_extra14



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi14,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=485,y=23,z=150,dx=4,dy=2,dz=15] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_avvioDiscorso14.3,type=area_effect_cloud,nbt={Age:300}] if block 516 48 143 minecraft:red_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3
execute if block 518 48 143 minecraft:orange_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso4

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 515 48 140 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 515 48 140 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 515 48 140 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso4,type=armor_stand] run data merge block 515 48 140 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 487 38 160 #minecraft:buttons[powered=true] run data merge block 516 48 140 {auto:1b}
execute unless score #Reliquia14 dh.o_reliquie matches 1 unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_nienteReliquia14,type=armor_stand] if block 461 29 145 #minecraft:buttons[powered=true] run data merge block 516 48 140 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia14,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 518 48 140 {auto:1b}

# CB Anima Fuoco
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 519 48 140 {auto:1b}



# CB Reset Oggetti
execute if block 487 21 188 #minecraft:buttons[powered=true] run data merge block 520 48 140 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti14 dh.o_tempoScorre matches 6000 run setblock 487 21 188 minecraft:oak_button[face=wall,facing=east]
execute if score #ResetOggetti14 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti14 dh.o_tempoScorre matches 6000 run data merge block 523 48 140 {auto:0b}

# Cartello Reset Oggetti
execute if block 487 21 188 minecraft:oak_wall_sign run data merge block 487 21 188 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 476 29 163 #minecraft:buttons[powered=true] run data merge block 521 48 140 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 487 38 160 #minecraft:buttons[powered=true] run data merge block 521 48 140 {auto:1b}

execute if block 461 29 145 #minecraft:buttons[powered=true] if score #Reliquia14 dh.o_reliquie matches 1 run data merge block 521 48 140 {auto:1b}
execute if block 461 29 145 #minecraft:buttons[powered=true] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_nienteReliquia14,type=armor_stand] run data merge block 521 48 140 {auto:1b}



# CB Ritorno al Livello
execute if block 521 48 143 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 522 48 140 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,tag=!dh.t_nienteReliquia14,type=armor_stand] if block 521 48 143 minecraft:yellow_wool unless score #Reliquia14 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia14,type=magma_cube] run summon minecraft:magma_cube 457 12 156 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia14"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,tag=!dh.t_nienteReliquia14,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] run tellraw @a {"translate":"\n%s %s: accidenti il Tesoro non c’è nel Reliquiario. Non dirmi che i Seguaci dell’Ombra lo hanno trovato. Se è davvero così, è finita. Addio casa dolce casa. E ora? Non resta che trovare l’Altare, forse c’è ancora la speranza che quattordici Tesori siano sufficienti. Speriamo.","with":[{"text":"[1/1]","color":"gray"},{"selector":"@a[tag=dh.t_primoGiocatore]","color":"red"}]}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,tag=!dh.t_nienteReliquia14,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] at @a[tag=dh.t_primoGiocatore] run playsound entity.villager.ambient ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 1.1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,tag=!dh.t_nienteReliquia14,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] at @a[tag=dh.t_spettatore] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_spettatore] ~ ~ ~ 10 2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,tag=!dh.t_nienteReliquia14,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_nienteReliquia14
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia14,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] run effect clear @e[tag=dh.t_cassaReliquia14,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia14,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] at @e[tag=dh.t_cassaReliquia14,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia14,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia14,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] run data merge entity @e[tag=dh.t_cassaReliquia14,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 521 48 143 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia14,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=457,y=12,z=156,distance=..3] run setblock 521 48 143 minecraft:lime_wool